std::piecewise_constant_distribution< _RealType >(3)

NAME
std::piecewise_constant_distribution< _RealType > -

SYNOPSIS

  Classes
struct param_type

  Public Types
typedef _RealType result_type

  Public Member Functions
template<typename _InputIteratorB , typename _InputIteratorW > piecewise_constant_distribution (_InputIteratorB __bfirst, _InputIteratorB __bend, _InputIteratorW __wbegin)
template<typename _Func > piecewise_constant_distribution (initializer_list< _RealType > __bl, _Func __fw)
template<typename _Func > piecewise_constant_distribution (size_t __nw, _RealType __xmin, _RealType __xmax, _Func __fw)
piecewise_constant_distribution (const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator > void __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
std::vector< double > densities () const
std::vector< _RealType > intervals () const
result_type max () const
result_type min () const
template<typename _UniformRandomNumberGenerator > piecewise_constant_distribution
< _RealType >::result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__param)"
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type param () const
void param (const param_type &__param)
void reset ()

  Friends
template<typename _RealType1 , typename _CharT , typename _Traits > std::basic_ostream< _CharT,
_Traits > & operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::piecewise_constant_distribution< _RealType1 > &__x)"
bool operator== (const piecewise_constant_distribution &__d1, const piecewise_constant_distribution &__d2)
template<typename _RealType1 , typename _CharT , typename _Traits > std::basic_istream< _CharT,
_Traits > & operator>> (std::basic_istream< _CharT, _Traits > &__is, std::piecewise_constant_distribution< _RealType1 > &__x)"

Detailed Description

  template<typename _RealType = double>class std::piecewise_constant_distribution< _RealType >
A piecewise_constant_distribution random number distribution. The formula for the piecewise constant probability mass function is

Definition at line 5481 of file random.h.

Member Typedef Documentation

  template<typename _RealType = double> typedef _RealType std::piecewise_constant_distribution< _RealType >::result_type
The type of the range of the distribution.

Definition at line 5484 of file random.h.

Member Function Documentation

  template<typename _RealType = double> std::vector<double> std::piecewise_constant_distribution< _RealType >::densities () const [inline]

Returns a vector of the probability densities.

Definition at line 5602 of file random.h.

References std::vector< _Tp, _Alloc >::empty().

  template<typename _RealType = double> std::vector<_RealType> std::piecewise_constant_distribution< _RealType >::intervals () const [inline]

Returns a vector of the intervals.

Definition at line 5586 of file random.h.

References std::vector< _Tp, _Alloc >::empty().

  template<typename _RealType = double> result_type std::piecewise_constant_distribution< _RealType >::max () const [inline]

Returns the least upper bound value of the distribution.

Definition at line 5637 of file random.h.

References std::vector< _Tp, _Alloc >::back(), and std::vector< _Tp, _Alloc >::empty().

  template<typename _RealType = double> result_type std::piecewise_constant_distribution< _RealType >::min () const [inline]

Returns the greatest lower bound value of the distribution.

Definition at line 5627 of file random.h.

References std::vector< _Tp, _Alloc >::empty(), and std::vector< _Tp, _Alloc >::front().

  template<typename _RealType = double> template<typename _UniformRandomNumberGenerator > result_type std::piecewise_constant_distribution< _RealType >::operator() (_UniformRandomNumberGenerator &__urng) [inline]

Generating functions.

Definition at line 5648 of file random.h.

  template<typename _RealType = double> param_type std::piecewise_constant_distribution< _RealType >::param () const [inline]

Returns the parameter set of the distribution.

Definition at line 5612 of file random.h.

  template<typename _RealType = double> void std::piecewise_constant_distribution< _RealType >::param (const param_type &__param) [inline]

Sets the parameter set of the distribution.

Parameters:
    __param The new parameter set of the distribution.

Definition at line 5620 of file random.h.

  template<typename _RealType = double> void std::piecewise_constant_distribution< _RealType >::reset () [inline]

Resets the distribution state.

Definition at line 5579 of file random.h.

Friends And Related Function Documentation

  template<typename _RealType = double> template<typename _RealType1 , typename _CharT , typename _Traits > std::basic_ostream<_CharT, _Traits>& operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::piecewise_constant_distribution< _RealType1 > &__x) [friend]

Inserts a piecewise_constant_distribution random number distribution __x into the output stream __os.

Parameters:
    __os An output stream.
    __x A piecewise_constant_distribution random number distribution.

Returns:
    The output stream with the state of __x inserted or in an error state.

  template<typename _RealType = double> bool operator== (const piecewise_constant_distribution< _RealType > &__d1, const piecewise_constant_distribution< _RealType > &__d2) [friend]

Return true if two piecewise constant distributions have the same parameters.

Definition at line 5683 of file random.h.

  template<typename _RealType = double> template<typename _RealType1 , typename _CharT , typename _Traits > std::basic_istream<_CharT, _Traits>& operator>> (std::basic_istream< _CharT, _Traits > &__is, std::piecewise_constant_distribution< _RealType1 > &__x) [friend]

Extracts a piecewise_constant_distribution random number distribution __x from the input stream __is.

Parameters:
    __is An input stream.
    __x A piecewise_constant_distribution random number generator engine.

Returns:
    The input stream with __x extracted or in an error state.

Author

Generated automatically by Doxygen for libstdc++ from the source code.